use strict;
use File::Temp qw( tempdir );
use Test::More tests => 1;

use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Database::API::Config qw( BusinessUnits );
use DE_EPAGES::Presentation::API::LESSCompiler qw( CompileLESS );

sub Main {

    my $Version = BusinessUnits()->{Site}{Cartridges}{'DE_EPAGES::Core'};
    my $Read = "$ENV{EPAGES_WEBROOT}/StoreTypes/$Version/Site/lib/package-sf.min.css";

    my $TempDir = tempdir( CLEANUP => 1 );
    my $Write = "$TempDir/package-sf.min.css";

    CompileLESS($Read, $Write);
    my $ReadSize = -s $Read;
    my $WriteSize = -s $Write;
    ok (-f $Write, "CompileLESS($Read, $Write) file exists. ReadSize:$ReadSize | WriteSize:$WriteSize ");
}

RunScript(Sub=>\&Main, Debug=>1);

1;
