package DE_EPAGES::RemoteSearch::t::Batch; ## no critic (DE_EPAGES::Style::RequireCommentForExportedFunctions)
use base Test::Class;

use strict;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Database::API::Connection qw ( GetTestSite RunOnStore );
use DE_EPAGES::RemoteSearch::API::Batch qw ( BATCH_CONTEXTS );
use DE_EPAGES::Trigger::API::BatchProcessor qw ( RunBatchProcess );
use Test::More;

sub testUpdateProducts : Test(no_plan) {
    foreach my $Batch (BATCH_CONTEXTS()) {
        RunBatchProcess($Batch, sub {
            pass($Batch);
        });
    }
}

RunScript(
    Sub => sub {
        RunOnStore(
            'Store' => GetTestSite(),
            'Sub'   => sub {
                Test::Class->runtests;
            }
        );
    }
);

1;